<?php
include '../ConsumoApi/Conexion.php';
header("Content-Type: application/json; charset=UTF-8");

class Operaciones
{
	public function crear($obj)
	{
	    $conn = new Conexion();
        $conn->Conectar();
        $conn->Parametro("@S_Codigo", -1);
        $conn->Parametro("@S_Fecha", $obj['S_Fecha']);
        $conn->Parametro("@S_Hora", $obj['S_Hora']);
        $conn->Parametro("@S_Descripcion", $obj['S_Descripcion']);
        $conn->Parametro("@S_Accion", $obj['S_Accion']);
        $conn->Parametro("@PER_Codigo", $obj['PER_Codigo']);
        $conn->Parametro("@S_Modulo", $obj['S_Modulo']);
        $conn->Parametro("@S_Tabla", $obj['S_Tabla']);
        $conn->Parametro("@S_Estado", $obj['S_Estado']);
        $conn->Parametro("@MAC", $obj['MAC']);
        $conn->Parametro("@COMPUTADOR", $obj['COMPUTADOR']);
        $conn->Parametro("@Tipo", 1);
        $data = $conn->Procedimiento("SISTEMA.PA_Acciones");
        $conn->Desconectar();
        return json_encode($data);
	}
}

$request = json_decode(file_get_contents('php://input'), true);

switch ($request['accion']) {
	case 'crear':
		try{
        	$obj = [
                'S_Fecha' => $request['S_Fecha'],
                'S_Hora' => $request['S_Hora'],
                'S_Descripcion' => $request['S_Descripcion'],
                'S_Accion' => $request['S_Accion'],
                'PER_Codigo' => $request['PER_Codigo'],
                'S_Modulo' => $request['S_Modulo'],
                'S_Tabla' => $request['S_Tabla'],
                'S_Estado' => $request['S_Estado'],
                'MAC' => $request['MAC'],
                'COMPUTADOR' => $request['COMPUTADOR'],                              
            ];
        	$app = new Operaciones();
        	echo $app->crear($obj);
	    }catch (Exception $ex){
	        echo json_encode($ex);
	    }
	    break;
}



